import e from "./isArray.js";
import t from "./_baseIteratee.js";
import n from "./_baseEach.js";
import r from "./_arrayReduce.js";
import i from "./_baseReduce.js";
//#region ../../node_modules/lodash-es/reduce.js
function a(a, o, s) {
	var c = e(a) ? r : i, l = arguments.length < 3;
	return c(a, t(o, 4), s, l, n);
}
//#endregion
export { a as default };
